'use strict';

/**
 * Module dependencies.
 */

var request = require('npm-request');
var giturl = require('giturl');
var utils = require('../utils');

module.exports = function (argv) {
    var pkgName = argv._[2];
    var docurl = argv.registryweb + '/package/' + pkgName;

    if (!pkgName) {
        return argv.help();
    }

    if (!argv.git) {
        return utils.openurl(docurl);
    }

    console.log('getting "%s" package info...', pkgName);

    request({
        method: 'GET',
        path: pkgName + '/latest'
    }, {
            registry: argv.registry
        }, function (err, info) {
            if (err) {
                console.error(err);
                process.exit(-1);
            }

            if (!info.name) {
                console.log('"%s" package not exists', name);
                process.exit(0);
            }

            var repository = info.repository;
            if (!repository || !repository.url) {
                return utils.openurl(docurl);
            }

            var url = giturl.parse(repository.url) || docurl;
            utils.openurl(url);
        });
}  
